@ECHO OFF
REM Return to standard Dos memory management
REM (Run MAS.COM for help to set up CONFIG.SYS)
MAIDEN\MAS 00 0

REM Make a backup copy of CMOS RAM setup
IF NOT EXIST MAIDEN\CMOS.DAT MAIDEN\CMOS MAIDEN\CMOS.DAT

REM Make a backup copy of hard disk MBR
IF NOT EXIST MAIDEN\MBR.DAT MAIDEN\BP /B MAIDEN\MBR.DAT
REM Check if anyone has changed MBR partition table
MAIDEN\BP /C MAIDEN\MBR.DAT

REM Check interrupts and install new handlers (MOUSE, EMS)
LH MAIDEN\SAFEINT I

REM Install stressed letters (a`,e`,...)
LH MAIDEN\OARD BF I

REM Install screen saver/ video accelerator
LH MAIDEN\SCREENS 2 C1FLUSH

PATH=C:\DOS
:LABEL_1
IF EXIST VAR.DAT GOTO X_DAT
REM Save the environment to a file, for better handling
MAIDEN\VAR /S VAR.DAT /B
REM Add the MAIDEN directory
ECHO PATH+=C:\MAIDEN >> VAR.DAT
:X_DAT
ECHO VAR has created file VAR.DAT that contains all current environment settings.
ECHO Now to change them you must edit file VAR.DAT.
ECHO Please edit AUTOEXEC.BAT and delete lines between :LABEL_1 and :LABEL_2
PAUSE
:LABEL_2
IF %PATH%@==C:\DOS@ GOTO LOAD_ENV
ECHO WARNING!
ECHO A program has modified the PATH statement.
ECHO Please edit AUTOEXEC.BAT and move new directories into file VAR.DAT.
PAUSE
:LOAD_ENV
REM Load the environment in Upper Memory (and check the PATH)
MAIDEN\VAR /L VAR.DAT /B /U

REM Delete garbage from your disks
CALL PURGE

REM Show disks usage
DSK

REM Show free memory
FREE

REM Install ANSI clock
CALL CLOCK
