@ECHO OFF
ECHO ZIP2  v4.2 Jun 96  Unregistered  (C) Massimo Sala
ECHO.
IF @%1==@    GOTO HELP
IF @%1==@/   GOTO HELP
IF @%1==@/?  GOTO HELP
IF @%1==@/h1 GOTO HELP
IF @%1==@/H1 GOTO HELP
IF @%1==@/h2 GOTO HELP2
IF @%1==@/H2 GOTO HELP2

IF @%TEMP%==@ GOTO NO_TEMP
IF NOT EXIST %TEMP%\NUL MD %TEMP%
IF NOT EXIST %TEMP%\NUL GOTO NO_TEMP

REM To configure ZIP2 you must edit it and insert here your favourite archiver.
REM ---------------------------------------------------------------------------
REM --- PKZIP 2.04g
IF EXIST %TEMP%\ZIP2.ZIP GOTO FOUND_TMP
PKZIP -e0 %TEMP%\ZIP2 %2
PKZIP -m -ex %1 %TEMP%\ZIP2.ZIP
REM ---------------------------------------------------------------------------

REM Is there %TEMP% directory ?
IF NOT EXIST %TEMP%\NUL MD %TEMP%
GOTO END

REM --- ARJ 2.41
IF EXIST %TEMP%\ZIP2.ARJ GOTO FOUND_TMP
ARJ a -m0 %TEMP%\ZIP2 %2
ARJ m -jm %1 %TEMP%\ZIP2.ARJ

REM --- HA 0.98
IF EXIST %TEMP%\ZIP2.HA GOTO FOUND_TMP
HA a0 %TEMP%\ZIP2 %2
HA a1m %1 %TEMP%\ZIP2.HA

REM --- LHA 2.13
IF EXIST %TEMP%\ZIP2.LZH GOTO FOUND_TMP
LHA a /z %TEMP%\ZIP2 %2
LHA m %1 %TEMP%\ZIP2.LZH

REM --- RAR 1.52
IF EXIST %TEMP%\ZIP2.RAR GOTO FOUND_TMP
RAR a -m0 -s %TEMP%\ZIP2 %2
RAR m -m5 -s %1 %TEMP%\ZIP2.RAR
RAR k %1

REM --- ZOO 2.1
IF EXIST %TEMP%\ZIP2.ZOO GOTO FOUND_TMP
IF @%2==@%2 ZOO af %TEMP%\ZIP2 *.*
IF NOT @%2==@%2 ZOO af %TEMP%\ZIP2 %2
ZOO ahM %1 %TEMP%\ZIP2.ZOO

:HELP
ECHO Usage: ZIP2 "archive" ["files"]
ECHO.
ECHO The TAR+COMPRESS Unix trick is used to compress more a collection of files.
ECHO First collect all files in a single file (packing together little files avoids
ECHO cluster waste) and then compress this file at once, to achieve best compression.
ECHO Advantages:
ECHO   - improved compression (significantly for large collections of small files)
ECHO   - don't need a special program to decompress
ECHO   - set your preferite archiver (ARJ, HA, LHA, PKZIP, RAR, ZOO already built-
ECHO     in: to configure simply make a backup of this file ZIP2.BAT and edit it)
ECHO   - useful to store or distribuite at minimum space finished work.
ECHO Disadvantages:
ECHO   - more time required for 2-passes compression:
ECHO     a) store the files together
ECHO     b) extra compress the collection (very slow !)
ECHO   - necessary 2-passes for decompression:
ECHO     a) decompress ZIP2.xxx
ECHO     b) extract the files from ZIP2.xxx
ECHO   - impossible to manipulate each single file inside the 2-level archive:
ECHO     it is necessary to decompress the collection before.
IF @%1==@/h1 GOTO END
IF @%1==@/H1 GOTO END
PAUSE

:HELP2
ECHO Examples:      files   dimension (Kb)   PKZIP     ZIP2     %% saved
ECHO    DOS 6.2       102        3704         2316     2285        1
ECHO    MAIDEN 4.1     40         121          107       94       13
ECHO    100 x 4 Kb    100         400          148       96       35
ECHO    Note: PKZIP used with extra compression (-ex).
ECHO          DOS & MAIDEN contain files already compressed.
GOTO END

:FOUND_TMP
ECHO Found existing %TEMP%\ZIP2 archive: rename or delete it.
GOTO END

:NO_TEMP
ECHO Missing the %%TEMP%% directory %TEMP% !

:END
